Page MenuHomePhabricator

Provide static dump of Gerrit
Closed, DeclinedPublic

Description

T18: Plan to migrate code review from Gerrit to Phabricator contains a discussion about how to preserve the Gerrit code review data. Converting all Gerrit changesets in Differential diffs preserving all comments looks like an herculean effort with an unclear added value compared with this other manageable option:

In T18#9753, @demon wrote:

We could actually push all of the refs/* to the new repo locations on Phabricator which would contain a good amount of data about who reviewed what and when, even if it doesn't contain all the comments. That + a static dump of Gerrit as it is would make a decent compromise.

Related Objects

StatusAssignedTask
ResolvedQgil
ResolvedQgil
ResolvedQgil
Resolved RobLa-WMF
ResolvedQgil
Resolveddemon
DeclinedNone
DeclinedNone
DeclinedNone
DuplicateNone
ResolvedQgil
Resolvedmmodell
Resolvedmmodell
Resolvedmmodell
Resolvedchasemp
Resolvedmmodell
Resolvedmmodell
Resolvedmmodell
Resolvedchasemp
Resolvedmmodell
ResolvedQgil
InvalidQgil
ResolvedQgil
DeclinedNone
InvalidQChris
ResolvedNone
DeclinedNone
DeclinedNone
DeclinedNone
Resolved yuvipanda
Invalidchasemp
Resolvedvalhallasw
Declinedvalhallasw
Resolvedvalhallasw
ResolvedLegoktm
ResolvedLegoktm
ResolvedLegoktm
InvalidLegoktm
DeclinedNone
DuplicateNone
DeclinedNone
DeclinedNone
Resolvedgreg
Resolvedgreg
Resolveddemon
Resolvedgreg
DeclinedNone
Resolvedgreg
Invalidgreg
DeclinedNone
DeclinedNone
Declinedmmodell
Resolvedgreg
Resolveddemon
Invalidmmodell
DuplicateNone
Resolvedmmodell
DeclinedNone
Invalidmmodell
Invalidgreg
DeclinedNone
Declinedgreg
ResolvedQgil
Resolvedmmodell
Resolvedgreg
Resolvedgreg
Declinedgreg
DeclinedNone

Event Timeline

Qgil created this task.Oct 10 2014, 11:27 AM
Qgil raised the priority of this task from to Normal.
Qgil updated the task description. (Show Details)
Qgil added a project: Gerrit-Migration.
Qgil changed Security from none to None.
Qgil added a subscriber: Qgil.
Qgil lowered the priority of this task from Normal to Low.Nov 27 2014, 7:57 AM

Currently Gerrit-Migration is in the queue of Phabricator subprojects after Project-Management and Gitblit-Deprecate. If someone wants to work on this task, take it and assign the priority accordingly.

mmodell added a subscriber: mmodell.May 1 2015, 5:25 AM

I propose closing this as declined.

Legoktm added a subscriber: Legoktm.May 1 2015, 5:34 AM

I propose closing this as declined.

What is the alternative for preserving the CR history then?

A static snapshot of gerrit? If we don't want to commit to maintaining gerrit it's self, we could just capture a static html dump.

I just don't think there are enough people dedicated to this project to facilitate migration of the gerrit data. It's a huge project that would require several months of effort.

So then why would you decline it...? This bug is titled "Preserve code review history", declining it means you don't want to preserve that history.

Sorry I took it to mean "preserve history in phabricator" which, on further consideration, I realize that is not explicitly required for this task.

Of course the Gerrit history must be preserved somehow.
I think it'll end up like Special:Code or Bugzilla...

Well bugzilla got imported into phabricator. That really isn't practical with gerrit - it was a huge amount of work to import bugzilla and I suspect that gerrit would be even more difficult than that migration.

Well bugzilla got imported into phabricator. That really isn't practical with gerrit - it was a huge amount of work to import bugzilla and I suspect that gerrit would be even more difficult than that migration.

I mean, Bugzilla is still around for searching, etc.

greg added a subscriber: greg.Dec 1 2015, 11:18 PM

Well bugzilla got imported into phabricator. That really isn't practical with gerrit - it was a huge amount of work to import bugzilla and I suspect that gerrit would be even more difficult than that migration.

I mean, Bugzilla is still around for searching, etc.

a labs install not maintained officially, for the record.

A static dump of gerrit should be fine for this.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 1 2015, 11:18 PM
greg renamed this task from Preserve code review history to Provide static dump of Gerrit.Dec 1 2015, 11:19 PM
greg updated the task description. (Show Details)
greg added a subscriber: demon.
greg raised the priority of this task from Low to Normal.Dec 2 2015, 12:24 AM
greg moved this task from To Triage to Tooling on the Gerrit-Migration board.
demon moved this task from Bugs & stuff to Local hacks on the Gerrit board.Jul 25 2016, 5:20 PM
Paladox lowered the priority of this task from Normal to Lowest.Jan 28 2018, 2:54 AM
demon closed this task as Resolved.Jan 31 2018, 12:12 AM
demon claimed this task.
In T617#1843228, @greg wrote:

Well bugzilla got imported into phabricator. That really isn't practical with gerrit - it was a huge amount of work to import bugzilla and I suspect that gerrit would be even more difficult than that migration.

I mean, Bugzilla is still around for searching, etc.

a labs install not maintained officially, for the record.
A static dump of gerrit should be fine for this.

The Differential migration is so low priority it may as well not be happening these days. A static dump is a huge waste of time. Marking this stalled pending some decision on Differential/Diffusion.

demon reopened this task as Stalled.Jan 31 2018, 12:12 AM
demon removed demon as the assignee of this task.Jan 31 2018, 8:17 PM
demon closed this task as Declined.Mar 7 2018, 10:14 PM